<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hotent.uc.dao.DIngApiDao">

    <select id="getWelcomeDage"  resultType="java.util.Map">
        select * from w_qzent_zdyhyy  where 1=1
        <if test="orgId!='0'.toString()">
            and  F_org_id_str=#{orgId}
        </if>

        <if test="orgId=='0'.toString()">
            and  F_sfmrhyy='0'
        </if>

    </select>

    <update id="updateZabbixData">
        UPDATE w_qzent_zabbix_monitoring SET
        F_httpTestIds = #{httptestId}
        <if test="triggerId!=null">
            , F_triggerId = #{triggerId}
        </if>
        <if test="triggerName!=null">
            , F_triggerName = #{triggerName}
        </if>
        <if test="actionId!=null">
            , F_actionId = #{actionId}
        </if>
        <if test="actionName!=null">
            , F_actionName = #{actionName}
        </if>
        WHERE ID_ = #{id}
    </update>

    <select id="getZabbixIndexData"  resultType="java.util.Map">
         select * from w_qzent_zabbix_monitoring
        <if test="webName!=null">
            where F_webName=#{webName}
        </if>

    </select>
</mapper>
